/*
   AtrImage.C - common base class for handling ATR (Atari 8bit disk-) images

   Copyright (C) 2002 Matthias Reichl <hias@horus.com>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdlib.h>
#include <string.h>

#include "DiskImage.h"

DiskImage::DiskImage()
	: fFilename(0)
{
}

DiskImage::~DiskImage()
{
	if (fFilename) {
		free(fFilename);
		fFilename=0;
	}
}

const char* DiskImage::GetFilename() const
{
	return fFilename;
}

void DiskImage::SetFilename(const char* filename)
{
	if (fFilename) {
		free(fFilename);
	}
	if (filename) {
		fFilename=strdup(filename);
	} else {
		fFilename=0;
	}
}
